org.eclipse.graphiti.features.context.impl

## Class AreaAnchorContext

- java.lang.Object
- - org.eclipse.graphiti.PropertyBag
  - - org.eclipse.graphiti.internal.features.context.impl.base.DefaultContext
    - - org.eclipse.graphiti.features.context.impl.LocationContext
      - - org.eclipse.graphiti.features.context.impl.AreaContext
        - - org.eclipse.graphiti.features.context.impl.AreaAnchorContext

All Implemented Interfaces:
  IAreaContext, IContext, ILocationContext, IMoveAnchorContext, IMoveContext, IPropertyBag

    public class AreaAnchorContext
    extends AreaContext
    implements IMoveAnchorContext

The Class AreaAnchorContext.

### Constructor Summary

Constructors
Constructor and Description
`AreaAnchorContext(Anchor anchor)` Creates a new `AreaAnchorContext`.

### Method Summary

All Methods Instance Methods Concrete Methods
`Anchor` `getAnchor()` Gets the anchor.
`AnchorContainer` `getSourceContainer()` Gets the source container.
`AnchorContainer` `getTargetContainer()` Gets the target container.
`void` `setSourceContainer(AnchorContainer sourceContainer)` Sets the source container.
`void` `setTargetContainer(AnchorContainer targetContainer)` Sets the target container.
`java.lang.String` `toString()`

### Methods inherited from class org.eclipse.graphiti.features.context.impl.AreaContext

`getHeight, getWidth, setHeight, setSize, setWidth`

### Methods inherited from class org.eclipse.graphiti.features.context.impl.LocationContext

`getX, getY, setLocation, setX, setY`

### Methods inherited from class org.eclipse.graphiti.PropertyBag

`getProperty, getPropertyKeys, putProperty`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.graphiti.features.context.ILocationContext

`getX, getY`

### Methods inherited from interface org.eclipse.graphiti.IPropertyBag

`getProperty, getPropertyKeys, putProperty`

### Constructor Detail

#### AreaAnchorContext

    public AreaAnchorContext(Anchor anchor)

Creates a new `AreaAnchorContext`.

Parameters:
  `anchor` - the anchor

### Method Detail

#### getAnchor

    public Anchor getAnchor()

Gets the anchor.

Specified by:
  `getAnchor` in interface `IMoveAnchorContext`
Returns:
  Returns the anchor.

#### getSourceContainer

    public AnchorContainer getSourceContainer()

Description copied from interface: `IMoveAnchorContext`
Gets the source container.

Specified by:
  `getSourceContainer` in interface `IMoveAnchorContext`
Returns:
  the source container

#### getTargetContainer

    public AnchorContainer getTargetContainer()

Description copied from interface: `IMoveAnchorContext`
Gets the target container.

Specified by:
  `getTargetContainer` in interface `IMoveAnchorContext`
Returns:
  the target container

#### setSourceContainer

    public void setSourceContainer(AnchorContainer sourceContainer)

Sets the source container.

Parameters:
  `sourceContainer` - The sourceContainer to set.

#### setTargetContainer

    public void setTargetContainer(AnchorContainer targetContainer)

Sets the target container.

Parameters:
  `targetContainer` - The targetContainer to set.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `AreaContext`